%define name	audiothumbs
%define version 0.2
%define release %mkrel 1

Name:           %{name}
Version:	%{version}
Release:	%{release}
Summary: 	KDE thumbnail-plugin that displays embedded cover arts in Audio (MP3, FLAC) file tags.
License: 	GPL
URL: 		http://kde-apps.org/content/show.php/AudioThumbs?content=145088
#URL v1:	http://www.kde-look.org/content/show.php/AudioThumbs?content=114885
Group: 		Graphical desktop/KDE4
Source: 	AudioThumbs-%{version}.tar.xz
Requires: 	%{_lib}qtcore4 %{_lib}qtgui4 %{_lib}flac++6 kde-baseapps
Requires: 	taglib >= 1.7
BuildRequires:	libqt4-devel %{_lib}flac++6-devel kde-baseapps-devel 
BuildRequires:	taglib-devel >= 1.7
BuildRoot:  	%{_tmppath}/%{name}-%{version}-build

%description
Plugin for KDE file managers (Dolphin and Konqueror) to preview cover
arts embedded in Audio (MP3, FLAC) file tags as Thumbnails.


NOTE: You must enable Audio Previews in Dolphin after installing this:
     Dolphin > Settings > Configure Dolphin > General > Previews (tab) > Check mark on "Audio Files"

DEVELOPER
``````````
Raizner Evgeniy 
razrfalcon@gmail.com


Vytautas Mickus
Kaunas, Lithuania
vmickus@gmail.com
http://www.kde-look.org/content/show.php/AudioThumbs?content=114885



%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n AudioThumbs-%{version}

%build
mkdir build

%cmake -DCMAKE_INSTALL_PREFIX=%{buildroot}%{_prefix} \
-DCMAKE_INSTALL_LIBDIR=%{buildroot}%{_libdir} \
-DINCLUDE_INSTALL_DIR=%{buildroot}%{_prefix}/include \
-DLIB_INSTALL_DIR=%{buildroot}%{_libdir} \
-DSYSCONF_INSTALL_DIR=%{buildroot}%{_sysconfdir} \
-DSHARE_INSTALL_PREFIX=%{buildroot}%{_datadir}



%install
cd build
%makeinstall

%post 
/sbin/ldconfig
kbuildsycoca4

%postun 
/sbin/ldconfig
kbuildsycoca4

%clean
#rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_datadir}/kde4/services/AudioThumbs.desktop
%{_libdir}/kde4/AudioThumbs.so


%changelog
* Fri Apr 13 2012 Neal <nealbrks0 at gmail dot com> 0.2-1pclos2012
- process

* Wed Apr 11 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.2-1_archie_2012
- Rebuild for x86_64

* Mon Apr 02 2012 travisn000 <travisn000 at gmail> - v0.2-1
- updated to new / forked version

* Mon Apr 02 2012 travisn000 <travisn000 at gmail> - v0.1-1
- initial build
